using System.Threading.Tasks;
using GxPress.Request.App.IM;
using GxPress.Service.Interface.IM;
using Microsoft.AspNetCore.Mvc;

namespace GxPress.Api.AppControllers
{
    [Route("api/app/im")]
    [ApiController]
    public class ImController : ControllerBase
    {
        private readonly IIMService _imService;

        public ImController(IIMService imService)
        {
            _imService = imService;
        }
        /// <summary>
        /// 强制下线
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [HttpPost("disconnect")]
        public async Task<bool> Disconnect(DisconnectRequest request)
        {
            return await _imService.DisconnectAsync(request.ImId);
        }
    }
}